-- generated with romgen v3.0 by MikeJ
library ieee;
  use ieee.std_logic_1164.all;
  use ieee.std_logic_unsigned.all;
  use ieee.numeric_std.all;

library UNISIM;
  use UNISIM.Vcomponents.all;

entity rom_monitor is
  port (
    CLK         : in    std_logic;
    ADDR        : in    std_logic_vector(12 downto 0);
    DATA        : out   std_logic_vector(7 downto 0)
    );
end;

architecture RTL of rom_monitor is

  function romgen_str2bv (str : string) return bit_vector is
    variable result : bit_vector (str'length*4-1 downto 0);
  begin
    for i in 0 to str'length-1 loop
      case str(str'high-i) is
        when '0'       => result(i*4+3 downto i*4) := x"0";
        when '1'       => result(i*4+3 downto i*4) := x"1";
        when '2'       => result(i*4+3 downto i*4) := x"2";
        when '3'       => result(i*4+3 downto i*4) := x"3";
        when '4'       => result(i*4+3 downto i*4) := x"4";
        when '5'       => result(i*4+3 downto i*4) := x"5";
        when '6'       => result(i*4+3 downto i*4) := x"6";
        when '7'       => result(i*4+3 downto i*4) := x"7";
        when '8'       => result(i*4+3 downto i*4) := x"8";
        when '9'       => result(i*4+3 downto i*4) := x"9";
        when 'A'       => result(i*4+3 downto i*4) := x"A";
        when 'B'       => result(i*4+3 downto i*4) := x"B";
        when 'C'       => result(i*4+3 downto i*4) := x"C";
        when 'D'       => result(i*4+3 downto i*4) := x"D";
        when 'E'       => result(i*4+3 downto i*4) := x"E";
        when 'F'       => result(i*4+3 downto i*4) := x"F";
        when others    => null;
      end case;
    end loop;
    return result;
  end romgen_str2bv;

  attribute INIT_00 : string;
  attribute INIT_01 : string;
  attribute INIT_02 : string;
  attribute INIT_03 : string;
  attribute INIT_04 : string;
  attribute INIT_05 : string;
  attribute INIT_06 : string;
  attribute INIT_07 : string;
  attribute INIT_08 : string;
  attribute INIT_09 : string;
  attribute INIT_0A : string;
  attribute INIT_0B : string;
  attribute INIT_0C : string;
  attribute INIT_0D : string;
  attribute INIT_0E : string;
  attribute INIT_0F : string;
  attribute INIT_10 : string;
  attribute INIT_11 : string;
  attribute INIT_12 : string;
  attribute INIT_13 : string;
  attribute INIT_14 : string;
  attribute INIT_15 : string;
  attribute INIT_16 : string;
  attribute INIT_17 : string;
  attribute INIT_18 : string;
  attribute INIT_19 : string;
  attribute INIT_1A : string;
  attribute INIT_1B : string;
  attribute INIT_1C : string;
  attribute INIT_1D : string;
  attribute INIT_1E : string;
  attribute INIT_1F : string;
  attribute INIT_20 : string;
  attribute INIT_21 : string;
  attribute INIT_22 : string;
  attribute INIT_23 : string;
  attribute INIT_24 : string;
  attribute INIT_25 : string;
  attribute INIT_26 : string;
  attribute INIT_27 : string;
  attribute INIT_28 : string;
  attribute INIT_29 : string;
  attribute INIT_2A : string;
  attribute INIT_2B : string;
  attribute INIT_2C : string;
  attribute INIT_2D : string;
  attribute INIT_2E : string;
  attribute INIT_2F : string;
  attribute INIT_30 : string;
  attribute INIT_31 : string;
  attribute INIT_32 : string;
  attribute INIT_33 : string;
  attribute INIT_34 : string;
  attribute INIT_35 : string;
  attribute INIT_36 : string;
  attribute INIT_37 : string;
  attribute INIT_38 : string;
  attribute INIT_39 : string;
  attribute INIT_3A : string;
  attribute INIT_3B : string;
  attribute INIT_3C : string;
  attribute INIT_3D : string;
  attribute INIT_3E : string;
  attribute INIT_3F : string;

  component RAMB16_S2
    --pragma translate_off
    generic (
      INIT_00 : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_01 : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_02 : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_03 : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_04 : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_05 : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_06 : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_07 : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_08 : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_09 : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_0A : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_0B : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_0C : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_0D : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_0E : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_0F : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_10 : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_11 : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_12 : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_13 : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_14 : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_15 : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_16 : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_17 : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_18 : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_19 : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_1A : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_1B : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_1C : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_1D : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_1E : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_1F : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_20 : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_21 : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_22 : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_23 : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_24 : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_25 : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_26 : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_27 : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_28 : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_29 : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_2A : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_2B : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_2C : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_2D : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_2E : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_2F : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_30 : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_31 : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_32 : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_33 : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_34 : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_35 : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_36 : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_37 : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_38 : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_39 : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_3A : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_3B : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_3C : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_3D : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_3E : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000";
      INIT_3F : bit_vector (255 downto 0) := x"0000000000000000000000000000000000000000000000000000000000000000"
      );
    --pragma translate_on
    port (
      DO    : out std_logic_vector (1 downto 0);
      ADDR  : in  std_logic_vector (12 downto 0);
      CLK   : in  std_logic;
      DI    : in  std_logic_vector (1 downto 0);
      EN    : in  std_logic;
      SSR   : in  std_logic;
      WE    : in  std_logic 
      );
  end component;

  signal rom_addr : std_logic_vector(12 downto 0);

begin

  p_addr : process(ADDR)
  begin
     rom_addr <= (others => '0');
     rom_addr(12 downto 0) <= ADDR;
  end process;

  rom0 : if true generate
    attribute INIT_00 of inst : label is "3EDDACF6050C46050C52C72C42FB6748D418C3C93583E031670F206CE006500D";
    attribute INIT_01 of inst : label is "52402B8FD4E001FB207E08F859EB9940C530455CAB82341412B1ABB6B0AE0884";
    attribute INIT_02 of inst : label is "E5EE422E3C99959E49EA5AE5D0676B367D9F632F132D2B8A7C6DE5187D1F41A6";
    attribute INIT_03 of inst : label is "3032633CD52C98E7D1069949ACB60864A649057AABE2CA8232BE3EF231021E4E";
    attribute INIT_04 of inst : label is "2B288EC8A086F20AEE650000410371100385C86C365D38810B18B1381375FB73";
    attribute INIT_05 of inst : label is "267C81080823FE9BB81330B31D2F8BEB31DA78B68B272D36832F2D3E2E363139";
    attribute INIT_06 of inst : label is "F820991713039B87EF20FC871BF197F0E31E1FE81FB7395F9AA3FF35B2165E08";
    attribute INIT_07 of inst : label is "CAC880CF3578888CAC8EB902A8CCB62E64F3D6F35B3CD5B81CFEC52A02D7DE79";
    attribute INIT_08 of inst : label is "000020000000C000000000038080552AE09EB1F5C3EB65E2578AB824EC768FCA";
    attribute INIT_09 of inst : label is "2037268A9288D2CAD95DFC57476B26734B620C000000000000C0000C00000C2C";
    attribute INIT_0A of inst : label is "E6EABC358A02D4392289D6C58214205204204312CA362DB32481CB545D360500";
    attribute INIT_0B of inst : label is "32CE01A6DE999164291B0EA6C8E664BE16666E064C26668686A999B81301B31D";
    attribute INIT_0C of inst : label is "22CCCB21E6AA0FD14A30B3AF99942695552F283B9C58E60A0A68F982A4832B08";
    attribute INIT_0D of inst : label is "355288D992F4EA2338BCAF268AD288CBD24F3482D3822D7822DF822D38E02039";
    attribute INIT_0E of inst : label is "58AD332A428598E6EE26E2E7E6804A14E7A0824ED2BCB3B48309994111F8C9C2";
    attribute INIT_0F of inst : label is "9C3D9EFCFCA9F29948140D8914444A5111366270261D8F0928C024E93CABE898";
    attribute INIT_10 of inst : label is "12FB2F21A650057DCB4BB97BA23F91B791302440F3BF8C237F233FBB7F191901";
    attribute INIT_11 of inst : label is "A16BCC1E89E78184D38EB8238AB8214752F9943A3F227A93C12ED32FB12FBA73";
    attribute INIT_12 of inst : label is "2278F3EC0A90B3E3664DE286F28C659A1E3F8F5CA7A2CF8D99378A1BCA23A027";
    attribute INIT_13 of inst : label is "82AF0EAAFA6A8C9CA0A9C93FBDEC602FDDA803DFCD5B31A1975161D4F588659A";
    attribute INIT_14 of inst : label is "24DE688FA24DE4CFA25DC2C4E071C1F5897E3E32CB31DA7AD5EF6C82A7CA2A32";
    attribute INIT_15 of inst : label is "5089A4255723874B4238840659ADA8D8CA10199449389F4FA261A6A5E261624E";
    attribute INIT_16 of inst : label is "AEDAFCC0712287E607E6BA787CB62E863498DB34A8E834B8F93488CBC8547140";
    attribute INIT_17 of inst : label is "CC7781C358A02910D2A7A24062BB6B8601C42E89F98238A36C232DA28D222040";
    attribute INIT_18 of inst : label is "7301C488A27A207BA12C2F2D86A66FAB8D2A7A2062BB6336FA9C9556EE6100C6";
    attribute INIT_19 of inst : label is "C9A30FC2C9A338816CCF24DA3389C34889E8AFD5C48A1E89F9A99A3B0D22A7A2";
    attribute INIT_1A of inst : label is "152B71032D07E103210C40CBFBD7E36F2F841A448A6B04E2A408A4B04C2670A2";
    attribute INIT_1B of inst : label is "03CF00000FCFC0300FC54A83C14283438180C04080050CF03FFFC6C6C1591525";
    attribute INIT_1C of inst : label is "30C30C00D0C30C30C30C3010C30C30C3009B15C0805865020010001FC1000300";
    attribute INIT_1D of inst : label is "0C30030C3310C30230C00D30030C0CC300F43F03310C30C30C30C3003430C30C";
    attribute INIT_1E of inst : label is "30C30C00C30C30C3010C00C38230030C30030C30C30C0430C043310C3010CC43";
    attribute INIT_1F of inst : label is "00000000000000000000000000435C30C30C3010C30C30030C30C3430030E08C";
    attribute INIT_20 of inst : label is "82B7551CB5354B82078D49D3B11A265997958E9D92CEE97135C7EC2D3BC735B8";
    attribute INIT_21 of inst : label is "820A084906219D049A276F2B40BFA2CAD48065997990352F8B7AB027535712E5";
    attribute INIT_22 of inst : label is "540D8D350D42A5834FF01127C10D44D800E65249401F700636E30636F12147CF";
    attribute INIT_23 of inst : label is "08B2CA7830368FEBFE37DA353CE351EADA2CF07C9F2A85035294D12A9755D374";
    attribute INIT_24 of inst : label is "0B6EB484D8D9D8D8D9EC206284743A127634FDC5C8385CAC409F26089CD363EC";
    attribute INIT_25 of inst : label is "878A23E81F54605A28ACA726DA0AF95034D8CCC4CDFA3A3A39686E49B209A458";
    attribute INIT_26 of inst : label is "5494851B301363337B2CC0B09254D568D4A08C6C4BBC59770B3A83743E8E033E";
    attribute INIT_27 of inst : label is "ACAE3501ECC70A0DC3334C302C01C28370CCD30C0B0A98CAD668C809A2168A52";
    attribute INIT_28 of inst : label is "60D220E02F89BCAD6B49ECAFD17B249C20DC33BE32B8D407B70C2374328E8EF9";
    attribute INIT_29 of inst : label is "3942788EA98480CC0330D90D88AE80C211F2004CC2408C6F7C060FE0E51D790D";
    attribute INIT_2A of inst : label is "65AD192939E9AD6268A4FA72593FC028DBE5C984AA951A155B2C3280EF2CE337";
    attribute INIT_2B of inst : label is "0566B6681A1870AC748C6AE2CB25B7A0982A1A5086831310B152441902640968";
    attribute INIT_2C of inst : label is "918850FBA38D4D3C33C48F8C248E78CE48E4B87ECC87F508C2750CE3158047EC";
    attribute INIT_2D of inst : label is "4A19C6E2CE7AA9BBBD436C23810E099A4BD6A891D740DF35F54D4B2749CE96AE";
    attribute INIT_2E of inst : label is "0A1CCB2EAC018CC63D4AA28B8FCF6F5A277CB8518CBF19DABD9D2A6CBC76AF67";
    attribute INIT_2F of inst : label is "EA98AAF8DBACB55F88A4E1266517970E40D516B5ADC457040950005905130020";
    attribute INIT_30 of inst : label is "083B40E3D405C0F425403910137ED4F1B2D8882FFEB2A8C919C47E7A076BD3DB";
    attribute INIT_31 of inst : label is "01CCE0005CC201A32A551063132C1551C985BCFA7C21D4EB5F3CF000A08D4D76";
    attribute INIT_32 of inst : label is "D2F7776B7E0F8FDB2F938E9F0BC08F080E482FC6E19886991A4A00967A0CADE0";
    attribute INIT_33 of inst : label is "0000000F03627F000940C0C75225D327A37397354C808D653AA8BDB5F2EE87D7";
    attribute INIT_34 of inst : label is "000000000000000000000000000000B800000000000000000000000000000000";
    attribute INIT_35 of inst : label is "00000000000000BA00802000000000000000000000000000000000B800000000";
    attribute INIT_36 of inst : label is "00800200000000000000000000000000000000BA208002000000000000000000";
    attribute INIT_37 of inst : label is "0000000000000000000000B880000000000000000000000000000000000000B8";
    attribute INIT_38 of inst : label is "FFD6669A905B1B05B2C1B1C1B60620782430041EB44114B80200000000000000";
    attribute INIT_39 of inst : label is "202132100333301231310322301321123104576646676759BA89B8CFDDA9A665";
    attribute INIT_3A of inst : label is "B190000008BC46A262A262A262AE2377777763636777777554432F3E88302020";
    attribute INIT_3B of inst : label is "0300C00300000C0000301480006C6248000000002202200000000002202206B7";
    attribute INIT_3C of inst : label is "0A8AA0000022E00BB032C13C5188101010AA0000888B230300C00300300C0030";
    attribute INIT_3D of inst : label is "B8AB0006C6BE085A14A03B0859AA2000000001B000328B3853C12C000328B320";
    attribute INIT_3E of inst : label is "CA5236663666FA21999999AAAAAAA219D555DEE666EA2000005AF08BB8B98A88";
    attribute INIT_3F of inst : label is "0FF37BB00BB420BB420BE9D712D0BDF0430020C820F02B40808888AB4E09A032";
  begin
  inst : RAMB16_S2
      --pragma translate_off
      generic map (
        INIT_00 => romgen_str2bv(inst'INIT_00),
        INIT_01 => romgen_str2bv(inst'INIT_01),
        INIT_02 => romgen_str2bv(inst'INIT_02),
        INIT_03 => romgen_str2bv(inst'INIT_03),
        INIT_04 => romgen_str2bv(inst'INIT_04),
        INIT_05 => romgen_str2bv(inst'INIT_05),
        INIT_06 => romgen_str2bv(inst'INIT_06),
        INIT_07 => romgen_str2bv(inst'INIT_07),
        INIT_08 => romgen_str2bv(inst'INIT_08),
        INIT_09 => romgen_str2bv(inst'INIT_09),
        INIT_0A => romgen_str2bv(inst'INIT_0A),
        INIT_0B => romgen_str2bv(inst'INIT_0B),
        INIT_0C => romgen_str2bv(inst'INIT_0C),
        INIT_0D => romgen_str2bv(inst'INIT_0D),
        INIT_0E => romgen_str2bv(inst'INIT_0E),
        INIT_0F => romgen_str2bv(inst'INIT_0F),
        INIT_10 => romgen_str2bv(inst'INIT_10),
        INIT_11 => romgen_str2bv(inst'INIT_11),
        INIT_12 => romgen_str2bv(inst'INIT_12),
        INIT_13 => romgen_str2bv(inst'INIT_13),
        INIT_14 => romgen_str2bv(inst'INIT_14),
        INIT_15 => romgen_str2bv(inst'INIT_15),
        INIT_16 => romgen_str2bv(inst'INIT_16),
        INIT_17 => romgen_str2bv(inst'INIT_17),
        INIT_18 => romgen_str2bv(inst'INIT_18),
        INIT_19 => romgen_str2bv(inst'INIT_19),
        INIT_1A => romgen_str2bv(inst'INIT_1A),
        INIT_1B => romgen_str2bv(inst'INIT_1B),
        INIT_1C => romgen_str2bv(inst'INIT_1C),
        INIT_1D => romgen_str2bv(inst'INIT_1D),
        INIT_1E => romgen_str2bv(inst'INIT_1E),
        INIT_1F => romgen_str2bv(inst'INIT_1F),
        INIT_20 => romgen_str2bv(inst'INIT_20),
        INIT_21 => romgen_str2bv(inst'INIT_21),
        INIT_22 => romgen_str2bv(inst'INIT_22),
        INIT_23 => romgen_str2bv(inst'INIT_23),
        INIT_24 => romgen_str2bv(inst'INIT_24),
        INIT_25 => romgen_str2bv(inst'INIT_25),
        INIT_26 => romgen_str2bv(inst'INIT_26),
        INIT_27 => romgen_str2bv(inst'INIT_27),
        INIT_28 => romgen_str2bv(inst'INIT_28),
        INIT_29 => romgen_str2bv(inst'INIT_29),
        INIT_2A => romgen_str2bv(inst'INIT_2A),
        INIT_2B => romgen_str2bv(inst'INIT_2B),
        INIT_2C => romgen_str2bv(inst'INIT_2C),
        INIT_2D => romgen_str2bv(inst'INIT_2D),
        INIT_2E => romgen_str2bv(inst'INIT_2E),
        INIT_2F => romgen_str2bv(inst'INIT_2F),
        INIT_30 => romgen_str2bv(inst'INIT_30),
        INIT_31 => romgen_str2bv(inst'INIT_31),
        INIT_32 => romgen_str2bv(inst'INIT_32),
        INIT_33 => romgen_str2bv(inst'INIT_33),
        INIT_34 => romgen_str2bv(inst'INIT_34),
        INIT_35 => romgen_str2bv(inst'INIT_35),
        INIT_36 => romgen_str2bv(inst'INIT_36),
        INIT_37 => romgen_str2bv(inst'INIT_37),
        INIT_38 => romgen_str2bv(inst'INIT_38),
        INIT_39 => romgen_str2bv(inst'INIT_39),
        INIT_3A => romgen_str2bv(inst'INIT_3A),
        INIT_3B => romgen_str2bv(inst'INIT_3B),
        INIT_3C => romgen_str2bv(inst'INIT_3C),
        INIT_3D => romgen_str2bv(inst'INIT_3D),
        INIT_3E => romgen_str2bv(inst'INIT_3E),
        INIT_3F => romgen_str2bv(inst'INIT_3F)
        )
      --pragma translate_on
      port map (
        DO   => DATA(1 downto 0),
        ADDR => rom_addr,
        CLK  => CLK,
        DI   => "00",
        EN   => '1',
        SSR  => '0',
        WE   => '0'
        );
  end generate;
  rom1 : if true generate
    attribute INIT_00 of inst : label is "26655DEFEC3ECBEC3EEBEFBEEBB7A9C3CC24B32CB0C996CB96CCB0CD3087B827";
    attribute INIT_01 of inst : label is "72E73ACB8DD0EBAFBAEBAD767BFFB8E54C0308D95E5B5FB0EC455E5F74796C6D";
    attribute INIT_02 of inst : label is "EFFEFB1FD653DE3ECB61155C79DDF79DB2FD3D15F3CD334D34DD5DF7CB90E70F";
    attribute INIT_03 of inst : label is "AF51BD655FF6A05CB99C3DEB7A5F8CECF8CB92C54D6DD50A59959D55F90E9EDF";
    attribute INIT_04 of inst : label is "51504144DC4DB99FF3FFA50040014102010AC20C92EC9030C30CF0E30ED77575";
    attribute INIT_05 of inst : label is "D4EC7B907466D9B0CBB0CB3317950D5FF17550D535558CE5C9558CE5155598D4";
    attribute INIT_06 of inst : label is "3FB2539D343DF0F15B999665BFF9AFD4DF0D9DDD9B9B9AF7AB5F4857D19EEBAC";
    attribute INIT_07 of inst : label is "4446CF4B57F1C4545CDFFBD162254BD1D8525D75712D5E760C7F7CDD675CC3BB";
    attribute INIT_08 of inst : label is "420230800002C88020022023D5918B5796C846D74DD52BD72C55E5B9CC5D6D45";
    attribute INIT_09 of inst : label is "DB7559E779A9E1EA3B47077079A158F96EB53C800222028002C0A08E0A280C1C";
    attribute INIT_0A of inst : label is "151CC4074949CE579DE445506105106105107225E88952F9D0AE64EB36DEB7AD";
    attribute INIT_0B of inst : label is "6069C81D019FB44D44852967A9E7ED5B48DCA1DEA1E7EC51E18D37877879BB17";
    attribute INIT_0C of inst : label is "59446823EEF314B4151179DAE38E6792CB5B99185505D751297275499E499125";
    attribute INIT_0D of inst : label is "75054E47699A56B6912A6695A569ADA669EEBA827FC3277C327BC3277CF29AC4";
    attribute INIT_0E of inst : label is "CF433550EB18AF1D599DDDDDBFEA1594EEF2C525895EB9DA4B8D38E52FB4E93A";
    attribute INIT_0F of inst : label is "4B3ADCFFEE43B153AB7AFF557AAAD4EAAB51D54FCCC45757C9715C591576B51D";
    attribute INIT_10 of inst : label is "C2299D190E391AB6C1D777AEF5953355FF50EEC334F54CB1D519D99DD5733F0E";
    attribute INIT_11 of inst : label is "F65B860D64B2C3C57B4EF45749B499EEB1FB8E5612592C35DC23CD5B9C2299B9";
    attribute INIT_12 of inst : label is "A52D77CA943AC914F4535619B1D84E378B5B0C0D52E52453D14D5866C7426392";
    attribute INIT_13 of inst : label is "C8312563951CD46C720C553BB89BD15323144489D5F813565170B05D57584E37";
    attribute INIT_14 of inst : label is "5530C55755530CD755449031853446D75511DD91BBB17EE76A5DAA5C51C723F1";
    attribute INIT_15 of inst : label is "325B4E43AFB3C9A5EB3CAEF8EB7FDC3CA6BBE355F33550D75577310CD5771CCD";
    attribute INIT_16 of inst : label is "79FCDDC47BF1735515597A15F56B0665BD5A54BD4A44BD7A77BD7A76E632FB2D";
    attribute INIT_17 of inst : label is "EC5F46C074949F0D7113557EFDE7F91111EFCD54D54604889D51D2D297F11EC3";
    attribute INIT_18 of inst : label is "F711ECFC55399187889D5DD2C5D9D2EA9711355EFDE7F7512E854B2D611F5DC6";
    attribute INIT_19 of inst : label is "4BDB6E5943DB9653F2E4907CB92635C4A4E64DE1EFC5CE6455767728D7121399";
    attribute INIT_1A of inst : label is "221FF3322E2DD110000CEC8977E5D08F974024CB44C540894CB44C54089CC059";
    attribute INIT_1B of inst : label is "0BCF022A0FCFC032000000000000000000000000000A8CFA95556ABFC2662202";
    attribute INIT_1C of inst : label is "30C30C00C0C30C30C30C3000C30C30C300171C6287647B8A8812801FE1088AA0";
    attribute INIT_1D of inst : label is "AC3003AE7300C30033C00F30030C0CC300F03F03300C30C30C30C3003030C30C";
    attribute INIT_1E of inst : label is "B2CB2E08CBAC38E3008E00CB81320B2CB8232EB0E38C003AE427300EB909CC2F";
    attribute INIT_1F of inst : label is "0000000000000000000000000003EDF0C32C3200C30C3223AC3AE3238032D08C";
    attribute INIT_20 of inst : label is "C377B0E77300645A5C638D3C11CD98E30D7FD46573154401F3EEBAFBDE00E3AC";
    attribute INIT_21 of inst : label is "E1020F8E0110F336D594C1B8CB5AEDA63AC38E30D7BAF37779999034450D0190";
    attribute INIT_22 of inst : label is "F4E577EFBDCB9BC4D67B30CFFF00585FEC7B845D3B11B32445D02445D00A0444";
    attribute INIT_23 of inst : label is "F47B285615B11D381D1D0412CC412C7774BE79AE6B14EFBDD1F6C1B0FDE35FC3";
    attribute INIT_24 of inst : label is "2C7ABCF8444444446454B019A112B51112B49C44462444644C589EC48C611752";
    attribute INIT_25 of inst : label is "514155D038FCB8F314526CAAF6A677CE98444457647435363668C5077B2EA370";
    attribute INIT_26 of inst : label is "5F33ACE9DCE1111130E77356523B76DB7542510007B575713BDD53135D0D035D";
    attribute INIT_27 of inst : label is "A264DD0D64F1300C5C9534581C0C4C0317254D16060574B42056055E95FA57D7";
    attribute INIT_28 of inst : label is "58B616C59CE7B25749A6926E71791A44C0C5C9B33593743791305313510D4DCE";
    attribute INIT_29 of inst : label is "10321A4660420E0C8D6C44046865507B0C6932C44C0C85B932DBEF3646335833";
    attribute INIT_2A of inst : label is "BBAC0506066985FB50196651A80BCCB4E5D7EF557A2264AA86BD405539981113";
    attribute INIT_2B of inst : label is "06FD5DD465C434447FC855520651A65FD5F578850B7845375AA19C6886E21B97";
    attribute INIT_2C of inst : label is "60B4B30A625476E51E6758450C54F45AD55C4A4DC45C739660F392595711EE54";
    attribute INIT_2D of inst : label is "556E45FB2D512965A23155173475ACDA71C51EE15CC3FFC7333F351FFE696A95";
    attribute INIT_2E of inst : label is "8AB36DB6955554D554444BEFC5D39C7616CC4DDFED429559495556B05D565255";
    attribute INIT_2F of inst : label is "45577777F757733DCA6D7298E74F0D36CBCEB11C47EC7100018C0097B32A4808";
    attribute INIT_30 of inst : label is "513442212102120039C35370E8CE333FD131EC34D191185607039119C910CE67";
    attribute INIT_31 of inst : label is "4198D441C99D46A1150F1F090A1C634D464172FA52E1208F18B2B55451544035";
    attribute INIT_32 of inst : label is "454B5695D15505DA257374756466556951D6B5DA515F0210EC04915C34996CD4";
    attribute INIT_33 of inst : label is "0008000F0AF43D00909165C9DB595491D56813574ACB4777D12B675EF85A71C4";
    attribute INIT_34 of inst : label is "2AAAAAA82202A2800A80A280200A00FC508020002AAA00A8A2A8000000880080";
    attribute INIT_35 of inst : label is "08080200A00000F0028A282800A82AA822022A880A00A200000080F300403008";
    attribute INIT_36 of inst : label is "538AA308008808A8228228080A2A8200202080F08A0A2308008808A822820A00";
    attribute INIT_37 of inst : label is "82880A0000002000002A00F02340020A028880AA2282A80002288200000A00F3";
    attribute INIT_38 of inst : label is "BF9C54E222AAFF2AAFCAAFCAAF2AF2ACACA22DDE400000FC08800082220028AA";
    attribute INIT_39 of inst : label is "122330123301201231202313102032103333330130203222231311113222C54D";
    attribute INIT_3A of inst : label is "F00000000BFC2CC8C808C808C83938D111113277B1111112EC379CF1EC233001";
    attribute INIT_3B of inst : label is "A8BAFBA8B9E7ACE79EB3AEC000015AC6311121111131113311121111131111CF";
    attribute INIT_3C of inst : label is "F6673000002FF2C51A79248E38738B8B8B77000016BF23E8BAFBA8BA8BAFBA8B";
    attribute INIT_3D of inst : label is "7777AAAABFFF224953967E9E4F97B00000000FF256DE65BA3CF4D3996DE6586E";
    attribute INIT_3E of inst : label is "07B115551555E7B03433375611157B33C777FDE555D7B0000FFFF2E546456667";
    attribute INIT_3F of inst : label is "0AAA6220080DC980DC9700AD11D273E2E5AA1954A2749CE04E95555CC030D3C0";
  begin
  inst : RAMB16_S2
      --pragma translate_off
      generic map (
        INIT_00 => romgen_str2bv(inst'INIT_00),
        INIT_01 => romgen_str2bv(inst'INIT_01),
        INIT_02 => romgen_str2bv(inst'INIT_02),
        INIT_03 => romgen_str2bv(inst'INIT_03),
        INIT_04 => romgen_str2bv(inst'INIT_04),
        INIT_05 => romgen_str2bv(inst'INIT_05),
        INIT_06 => romgen_str2bv(inst'INIT_06),
        INIT_07 => romgen_str2bv(inst'INIT_07),
        INIT_08 => romgen_str2bv(inst'INIT_08),
        INIT_09 => romgen_str2bv(inst'INIT_09),
        INIT_0A => romgen_str2bv(inst'INIT_0A),
        INIT_0B => romgen_str2bv(inst'INIT_0B),
        INIT_0C => romgen_str2bv(inst'INIT_0C),
        INIT_0D => romgen_str2bv(inst'INIT_0D),
        INIT_0E => romgen_str2bv(inst'INIT_0E),
        INIT_0F => romgen_str2bv(inst'INIT_0F),
        INIT_10 => romgen_str2bv(inst'INIT_10),
        INIT_11 => romgen_str2bv(inst'INIT_11),
        INIT_12 => romgen_str2bv(inst'INIT_12),
        INIT_13 => romgen_str2bv(inst'INIT_13),
        INIT_14 => romgen_str2bv(inst'INIT_14),
        INIT_15 => romgen_str2bv(inst'INIT_15),
        INIT_16 => romgen_str2bv(inst'INIT_16),
        INIT_17 => romgen_str2bv(inst'INIT_17),
        INIT_18 => romgen_str2bv(inst'INIT_18),
        INIT_19 => romgen_str2bv(inst'INIT_19),
        INIT_1A => romgen_str2bv(inst'INIT_1A),
        INIT_1B => romgen_str2bv(inst'INIT_1B),
        INIT_1C => romgen_str2bv(inst'INIT_1C),
        INIT_1D => romgen_str2bv(inst'INIT_1D),
        INIT_1E => romgen_str2bv(inst'INIT_1E),
        INIT_1F => romgen_str2bv(inst'INIT_1F),
        INIT_20 => romgen_str2bv(inst'INIT_20),
        INIT_21 => romgen_str2bv(inst'INIT_21),
        INIT_22 => romgen_str2bv(inst'INIT_22),
        INIT_23 => romgen_str2bv(inst'INIT_23),
        INIT_24 => romgen_str2bv(inst'INIT_24),
        INIT_25 => romgen_str2bv(inst'INIT_25),
        INIT_26 => romgen_str2bv(inst'INIT_26),
        INIT_27 => romgen_str2bv(inst'INIT_27),
        INIT_28 => romgen_str2bv(inst'INIT_28),
        INIT_29 => romgen_str2bv(inst'INIT_29),
        INIT_2A => romgen_str2bv(inst'INIT_2A),
        INIT_2B => romgen_str2bv(inst'INIT_2B),
        INIT_2C => romgen_str2bv(inst'INIT_2C),
        INIT_2D => romgen_str2bv(inst'INIT_2D),
        INIT_2E => romgen_str2bv(inst'INIT_2E),
        INIT_2F => romgen_str2bv(inst'INIT_2F),
        INIT_30 => romgen_str2bv(inst'INIT_30),
        INIT_31 => romgen_str2bv(inst'INIT_31),
        INIT_32 => romgen_str2bv(inst'INIT_32),
        INIT_33 => romgen_str2bv(inst'INIT_33),
        INIT_34 => romgen_str2bv(inst'INIT_34),
        INIT_35 => romgen_str2bv(inst'INIT_35),
        INIT_36 => romgen_str2bv(inst'INIT_36),
        INIT_37 => romgen_str2bv(inst'INIT_37),
        INIT_38 => romgen_str2bv(inst'INIT_38),
        INIT_39 => romgen_str2bv(inst'INIT_39),
        INIT_3A => romgen_str2bv(inst'INIT_3A),
        INIT_3B => romgen_str2bv(inst'INIT_3B),
        INIT_3C => romgen_str2bv(inst'INIT_3C),
        INIT_3D => romgen_str2bv(inst'INIT_3D),
        INIT_3E => romgen_str2bv(inst'INIT_3E),
        INIT_3F => romgen_str2bv(inst'INIT_3F)
        )
      --pragma translate_on
      port map (
        DO   => DATA(3 downto 2),
        ADDR => rom_addr,
        CLK  => CLK,
        DI   => "00",
        EN   => '1',
        SSR  => '0',
        WE   => '0'
        );
  end generate;
  rom2 : if true generate
    attribute INIT_00 of inst : label is "95540468FC03C0FC03F03E03E044CBC0BCBB02003003C8EBE008001151C00B7E";
    attribute INIT_01 of inst : label is "BECDF81C3CE75F8207E08284DBA0BBCDB40D2AC88940AFF010808968A3A501AE";
    attribute INIT_02 of inst : label is "ED8ED3686CEF6CF2FBC2093DB33F84D4DC16858D5306B79DB9D62DB2CB36FBAD";
    attribute INIT_03 of inst : label is "0520D5007E0B3E2CB3EEB6EB24E8E16E8BFB3AC08742496C2D2DDCD043243ED8";
    attribute INIT_04 of inst : label is "5E549589949D1032A6E00000C0048005840F54C920452A2802CA2802421F2222";
    attribute INIT_05 of inst : label is "0BC50B3242422515111511557B55025117B55025C5552C0525556C05A5652565";
    attribute INIT_06 of inst : label is "E1342F359995595A9103A8CFB8832C9092893948301012CA1A72401F9032C001";
    attribute INIT_07 of inst : label is "4A4A41431F5618480A49723B94C8B04AD2947E71F9CC7DB5A2515488087E68FB";
    attribute INIT_08 of inst : label is "B1ADFCA5B00FE3B191D2E3A362A6EB225000805F65C20D68AC08940E65EE664A";
    attribute INIT_09 of inst : label is "B32A2A8EB38CBA0CEB322222262A2BC34000DDCCA639BDEC0FD88F6EC2FA4CCD";
    attribute INIT_0A of inst : label is "122E051F2121BCEB3A8F8180924125226224127E0D322C03428C908320C8320C";
    attribute INIT_0B of inst : label is "9880922202AEB3BC892248AB8CAB2C203BC9888988AB2C8C8262F2222223227B";
    attribute INIT_0C of inst : label is "23C9CC24EF8248088A2483082FBCEB3AEBA1036498089B2249B8F08328D24248";
    attribute INIT_0D of inst : label is "22222CC093A4C9013004D9324C93404EB38E34DAB6086B6106B2086B20C73CC8";
    attribute INIT_0E of inst : label is "E81F91AFC0FC7D29292D297E0A00093AEE84D04C1360C364D3C2FBCC8B390CE3";
    attribute INIT_0F of inst : label is "B0202211043F14FA1EA1E4FFA1116A8445A3FDF20A8A8B2B0880A6E0C88207F3";
    attribute INIT_10 of inst : label is "08221183FEF3FC30D6D71F028555555511500440923434019D0D999DD9999503";
    attribute INIT_11 of inst : label is "1FE408E9000C1A3EB790795B91B913ECB84BBCF9202003B5C082425010822101";
    attribute INIT_12 of inst : label is "0AC071A96BF02307DCDF2A3014727EF23016A6AC200A8C1F737CA8C051CB8200";
    attribute INIT_13 of inst : label is "918248B812AE0A052420AA80A4102021C34E024147E1267F3AE8E87E9F327EF2";
    attribute INIT_14 of inst : label is "CDF3EA870CDF3E470CEA80800802B05F3F105C218227BEC49112447080524824";
    attribute INIT_15 of inst : label is "F0FBBCDFF20712CC20B18FCBF42629A14E3F2FF7FF977FC71DCFAAFE5DCFAFE5";
    attribute INIT_16 of inst : label is "256222AAFF5501AABE9F82CA84005A4E18A0A618A0A618909518909443F8D30F";
    attribute INIT_17 of inst : label is "89EF2C51F2121240B82122CFC8958602ABFC84886AAEB9132C254C0A0B5CCFC4";
    attribute INIT_18 of inst : label is "8AABFE69AA111BF81B2CA14C1696D6E20B02122FC8958A206E082BAC922202AC";
    attribute INIT_19 of inst : label is "2633CCB362332CE88CCB3EE332CFC2F000446232FD540445A5A5B4A30BC0A111";
    attribute INIT_1A of inst : label is "113CB000000C4000C00C3010130040CC010137C027C0B2037C027C0A103FCBB3";
    attribute INIT_1B of inst : label is "23CF96F08FCF523000000000000000000000000000031EE23FFFC6C6C1111131";
    attribute INIT_1C of inst : label is "7CD31CC0CDF75D77DFFFF205D7BE70EB1044801BC002002F4C13A92FEC038FCC";
    attribute INIT_1D of inst : label is "6CB00B5C330ED7F03FD82CB03B0C8ED342F03F03308C32C38C32C37030F4F33C";
    attribute INIT_1E of inst : label is "33FB0F43D78CF5E3203D4CC3D0300F6C313FDD33E74C80B9F033302D7000CC0F";
    attribute INIT_1F of inst : label is "0000000000000000000000000023BEB8E7CE3100CF0C78131C32D33F9130C4CC";
    attribute INIT_20 of inst : label is "0088D3242FE08FA3FC0FB0F328323BCF7CF32424BC0548066F3E0CF36CDB0F81";
    attribute INIT_21 of inst : label is "3B0C01CE0110BB08C933CF3FD82802CFFCC0BCF7CF932F2D4DDA488202022203";
    attribute INIT_22 of inst : label is "DF243B370FC0C0E7C474100744040241FC0005104F009B11412B11412B3FE028";
    attribute INIT_23 of inst : label is "08908CF92A5036181C160510005110419900C3C4314BC73E1808CE3FF1390140";
    attribute INIT_24 of inst : label is "03FE100C4050444050480A1A4D1152181152648440884408422A3E60007102E8";
    attribute INIT_25 of inst : label is "316221CA8BD3CE4E2EE8E23C398C700A3C4044408C7090B093E008883003E242";
    attribute INIT_26 of inst : label is "FFF28CB11031011100044068CAFF87E384080A1803B8F301001030121C2C601C";
    attribute INIT_27 of inst : label is "88C5E10044C104C04A31221226004130128C4884889CE33080CFC0CBE28F8A1F";
    attribute INIT_28 of inst : label is "2EC228CE33C808F8518F68C0870108C40C04A30FA217840011032012122C2C3D";
    attribute INIT_29 of inst : label is "140018C7940908F53AF0400438848863006300C4410005C1011C8CF8CE9F23BF";
    attribute INIT_2A of inst : label is "CF94808083E488A0020CB920F802C00232C0C01CA92220800B35C81DF1460110";
    attribute INIT_2B of inst : label is "1F537635F249100A1B11F74922200D2B0ACDDE0421C2DD8DD51075F4924208C9";
    attribute INIT_2C of inst : label is "B0B4370B4B483774B74D9A489089188908A0A0E088826F3CD92F38F334312375";
    attribute INIT_2D of inst : label is "12B18090465021692802202222204179224204396640553F5521250133A97E08";
    attribute INIT_2E of inst : label is "6262020A0956920A4808004055C5D3F22A5494885C30144481444ACA14112051";
    attribute INIT_2F of inst : label is "9594A5A7384B6F471CD1C73BDFFC7EB65CBF3024080C0080844102E802062606";
    attribute INIT_30 of inst : label is "33D3E4C08380E0A00C8C222A3FE7FA542A4341A49CD52294809425ED6D0210B4";
    attribute INIT_31 of inst : label is "FAAB7EDA88ABEFE22208702E2221FE04A0B098C928C0B10A0A38C0028A881800";
    attribute INIT_32 of inst : label is "00512251250DAD496B4B14141571541553C109CA9BFD21A048808898B088B47E";
    attribute INIT_33 of inst : label is "2162580F93F01B0900F8B872005C4452D200801F3015797F5021697040894202";
    attribute INIT_34 of inst : label is "0002000448000401A0030800AA935CFC09C0882CF003FFC00CFFFBC08FFDFB00";
    attribute INIT_35 of inst : label is "8FB1F88CE42B48F10BEC8B00150200288800022E204D0840B416DCF20D0F8C10";
    attribute INIT_36 of inst : label is "0BFCBB010992680088000FAEA0030800A423C0F1CFBC8B022A92B3180B683350";
    attribute INIT_37 of inst : label is "3CCFF3800B3DFF00012748F0362FF80008A2140048000001A40108008A1640F2";
    attribute INIT_38 of inst : label is "FFFA4E38D0000040001000100040040101044A5000E6C4FC00C0A8CCF86EC8C3";
    attribute INIT_39 of inst : label is "2222233333000111122333001223301223012312312013131320321031CB2C6B";
    attribute INIT_3A of inst : label is "F00000000DF8A88888888888888A8A48888889494888888BEC794517EC111222";
    attribute INIT_3B of inst : label is "4514514514514D5145357EC0006C77C9444454444444464444454444444467CF";
    attribute INIT_3C of inst : label is "111FF000003791C046969A659504545454FB0001DDDF1D451451451451451451";
    attribute INIT_3D of inst : label is "11F70006C6BE1D5154154555555FB000000001B1A9111155924A28A691111691";
    attribute INIT_3E of inst : label is "AFB1D111D1111FB1D21111111111FB1D21111111111FB000005AF15111111111";
    attribute INIT_3F of inst : label is "3CCCCCC000003D0003D054328A00DF60F155AC2830F03FCA8444447CC7964929";
  begin
  inst : RAMB16_S2
      --pragma translate_off
      generic map (
        INIT_00 => romgen_str2bv(inst'INIT_00),
        INIT_01 => romgen_str2bv(inst'INIT_01),
        INIT_02 => romgen_str2bv(inst'INIT_02),
        INIT_03 => romgen_str2bv(inst'INIT_03),
        INIT_04 => romgen_str2bv(inst'INIT_04),
        INIT_05 => romgen_str2bv(inst'INIT_05),
        INIT_06 => romgen_str2bv(inst'INIT_06),
        INIT_07 => romgen_str2bv(inst'INIT_07),
        INIT_08 => romgen_str2bv(inst'INIT_08),
        INIT_09 => romgen_str2bv(inst'INIT_09),
        INIT_0A => romgen_str2bv(inst'INIT_0A),
        INIT_0B => romgen_str2bv(inst'INIT_0B),
        INIT_0C => romgen_str2bv(inst'INIT_0C),
        INIT_0D => romgen_str2bv(inst'INIT_0D),
        INIT_0E => romgen_str2bv(inst'INIT_0E),
        INIT_0F => romgen_str2bv(inst'INIT_0F),
        INIT_10 => romgen_str2bv(inst'INIT_10),
        INIT_11 => romgen_str2bv(inst'INIT_11),
        INIT_12 => romgen_str2bv(inst'INIT_12),
        INIT_13 => romgen_str2bv(inst'INIT_13),
        INIT_14 => romgen_str2bv(inst'INIT_14),
        INIT_15 => romgen_str2bv(inst'INIT_15),
        INIT_16 => romgen_str2bv(inst'INIT_16),
        INIT_17 => romgen_str2bv(inst'INIT_17),
        INIT_18 => romgen_str2bv(inst'INIT_18),
        INIT_19 => romgen_str2bv(inst'INIT_19),
        INIT_1A => romgen_str2bv(inst'INIT_1A),
        INIT_1B => romgen_str2bv(inst'INIT_1B),
        INIT_1C => romgen_str2bv(inst'INIT_1C),
        INIT_1D => romgen_str2bv(inst'INIT_1D),
        INIT_1E => romgen_str2bv(inst'INIT_1E),
        INIT_1F => romgen_str2bv(inst'INIT_1F),
        INIT_20 => romgen_str2bv(inst'INIT_20),
        INIT_21 => romgen_str2bv(inst'INIT_21),
        INIT_22 => romgen_str2bv(inst'INIT_22),
        INIT_23 => romgen_str2bv(inst'INIT_23),
        INIT_24 => romgen_str2bv(inst'INIT_24),
        INIT_25 => romgen_str2bv(inst'INIT_25),
        INIT_26 => romgen_str2bv(inst'INIT_26),
        INIT_27 => romgen_str2bv(inst'INIT_27),
        INIT_28 => romgen_str2bv(inst'INIT_28),
        INIT_29 => romgen_str2bv(inst'INIT_29),
        INIT_2A => romgen_str2bv(inst'INIT_2A),
        INIT_2B => romgen_str2bv(inst'INIT_2B),
        INIT_2C => romgen_str2bv(inst'INIT_2C),
        INIT_2D => romgen_str2bv(inst'INIT_2D),
        INIT_2E => romgen_str2bv(inst'INIT_2E),
        INIT_2F => romgen_str2bv(inst'INIT_2F),
        INIT_30 => romgen_str2bv(inst'INIT_30),
        INIT_31 => romgen_str2bv(inst'INIT_31),
        INIT_32 => romgen_str2bv(inst'INIT_32),
        INIT_33 => romgen_str2bv(inst'INIT_33),
        INIT_34 => romgen_str2bv(inst'INIT_34),
        INIT_35 => romgen_str2bv(inst'INIT_35),
        INIT_36 => romgen_str2bv(inst'INIT_36),
        INIT_37 => romgen_str2bv(inst'INIT_37),
        INIT_38 => romgen_str2bv(inst'INIT_38),
        INIT_39 => romgen_str2bv(inst'INIT_39),
        INIT_3A => romgen_str2bv(inst'INIT_3A),
        INIT_3B => romgen_str2bv(inst'INIT_3B),
        INIT_3C => romgen_str2bv(inst'INIT_3C),
        INIT_3D => romgen_str2bv(inst'INIT_3D),
        INIT_3E => romgen_str2bv(inst'INIT_3E),
        INIT_3F => romgen_str2bv(inst'INIT_3F)
        )
      --pragma translate_on
      port map (
        DO   => DATA(5 downto 4),
        ADDR => rom_addr,
        CLK  => CLK,
        DI   => "00",
        EN   => '1',
        SSR  => '0',
        WE   => '0'
        );
  end generate;
  rom3 : if true generate
    attribute INIT_00 of inst : label is "3BB8BBAE78378E7837BE7AE7AE844B83B831E9BAE0AEA37ECFA6E25571E55C77";
    attribute INIT_01 of inst : label is "EF80DFC0B9C3FEFEEFBFB8082E3FEB803C2F4382AABEF9E0F008AAAEA0AAF878";
    attribute INIT_02 of inst : label is "79E7BE0E0BEE3AEFBE8022B8E0B9F4A2A3ABEA2AF1FADB0A70AC7AE79E07AE78";
    attribute INIT_03 of inst : label is "2FEABA223B120879E0B9E3AEFBAFF8B8FBBE0B8EBA9033080B4AA6A280CC07AE";
    attribute INIT_04 of inst : label is "E0280280E80A8E0B773000000004000000028314E220EC0A20EC0620204E5756";
    attribute INIT_05 of inst : label is "3BA39E00C0C002FFFFFFFFEE2EFE20EEE2EFE20ECEEE062E0EEE062E0E0E0E0E";
    attribute INIT_06 of inst : label is "BBE0EE0EFFFEFFF0E8E00FA0ECC879E2E0FF8E2C8CFCEB8303B3888EEA8BAEF8";
    attribute INIT_07 of inst : label is "AAABB2998EA383B99B9BA30313038F3CA4E23B88EA26382933F3BEE89E3AAE1E";
    attribute INIT_08 of inst : label is "041041040124500504000401BB772EEFAFCC0E0E0AE0C28EB8FBEBF3B8BBFBAB";
    attribute INIT_09 of inst : label is "6D9CACFB2EF74CB51E4777777050EBAE38F24510104000118451400410011445";
    attribute INIT_0A of inst : label is "BA73A8AE7F6EB802E0F80909B00B00A00A01A00CB4C0E3EE2CF589CF73DFF7FF";
    attribute INIT_0B of inst : label is "41880E602635E4BB40E6398DF74DB8EE4B9C1DDC1DCDB9D2967AE7777770662E";
    attribute INIT_0C of inst : label is "8E00F6017AE61CC1DE03AE23EEB80D0BAEE8E005C09B6DD036DB983E0F8E263B";
    attribute INIT_0D of inst : label is "D0770B883ECFEFE6E22B83E0FAFFF9B81EF7DF51E3AA1E39A1E3A61E3863EF40";
    attribute INIT_0E of inst : label is "98CE02EFBE000C0F0F0A0F3AFB95220C7BEB83B8AE0B6E0FAE2AEB803E70B53D";
    attribute INIT_0F of inst : label is "1E93A222239E8E8757757E0875551DD5546382330DC989BA029AE0C402C8E083";
    attribute INIT_10 of inst : label is "4100EAA07AE000E38FBD8EBFEEEEFFEEFFE0FFC3ABA8B82EEF7EEEEAAEFFFF0F";
    attribute INIT_11 of inst : label is "80C4B8288EF78FA3EB08B0EB0EB0E0F8E27EB831A2A3BBEE241020ECE4100ECE";
    attribute INIT_12 of inst : label is "5E78DF1D7FEF8E27A01E0D028E0CFAEA5E3C7C77BB9E389E8078340A3803192B";
    attribute INIT_13 of inst : label is "85E63ECEBB63BCE8A179BB18C2A80EE03C3C202A23B2039006CAC63B8E0CFAEA";
    attribute INIT_14 of inst : label is "21EF8E89821EF809821DCC0CC0CD8A0E0CE2AE0EC662E3A98AA62AB00A8A1E62";
    attribute INIT_15 of inst : label is "EBAEF82E2AF1807BAF983CFB8EFBE8B8B8F3EE8BBE04C789920E67F8020E7F80";
    attribute INIT_16 of inst : label is "AABA32403EE0303200E32002688E03A2E8202AE8202AE8202AE8202A3BE3CFBE";
    attribute INIT_17 of inst : label is "98B8820AE7F6E70EE36076C79EAAE426C0F9C1D80C82320C02EA23F32EE72783";
    attribute INIT_18 of inst : label is "C9C0F808320FE0320802AA2380E0A7732E7607679EAAE9E27718AEB817670E41";
    attribute INIT_19 of inst : label is "07FDF43E07ED0B81FF43E03FD0F8CB8E883FA300FB80C3F838382B332E3A20FE";
    attribute INIT_1A of inst : label is "002EF00000000000000C00000300000C0000078307883CCF78307882CCF7833E";
    attribute INIT_1B of inst : label is "840AB2313A800807800000000000000000000000000FC66ED5556ABFE0000000";
    attribute INIT_1C of inst : label is "3FCFCC00CBC7DDF4FB2E300BD71CB7E30255157CE55455F31D8607284DA42318";
    attribute INIT_1D of inst : label is "CCF403FCF00CDF0230F02F730FCFC4FF3072300B000FF3F7CD70DFF033F1F77D";
    attribute INIT_1E of inst : label is "33FF0E07C3CFF7C3003C0CC3C0300F3C342FCC37EFCC0033F03F000FF003C003";
    attribute INIT_1F of inst : label is "00000000000000000000000000034EF8E37C300CCF4C3C330D33F33FC030C0CC";
    attribute INIT_20 of inst : label is "830033CBAE823B0D388EFAE4023CEBAEBAE3CCCEFE35C020EE7BE37F4F81EEFC";
    attribute INIT_21 of inst : label is "0E050B0609356123B1EB90F7B76FD039E3FFBAEBAE37EEF3433C40F03030AE33";
    attribute INIT_22 of inst : label is "34C8B11DF38E76078C9B30CFB62554578E555555F395F79555C79555C7800544";
    attribute INIT_23 of inst : label is "828E3631AE8302493F324820C0C20C8888E38E2388EF4CFC222380E76B830CC3";
    attribute INIT_24 of inst : label is "38DC7830CCCCC88888ACEC3C3D228022228C3408FC008DC08080EC5C008229C3";
    attribute INIT_25 of inst : label is "0203A374278BECE4A4C3B8D0313CB9ACF0CCCC833898180808C782FC8F38CFE0";
    attribute INIT_26 of inst : label is "7BEF3FC23CC3333200C8F30382E30CC70C8081819D9EE003002E002B370F0026";
    attribute INIT_27 of inst : label is "1388C34CC8F30000ACE3B030A00CC0002B38EC0C2B000C8808012C28CEE33BAD";
    attribute INIT_28 of inst : label is "0CA0A340E77103B0C238C3800F02738C000ACE5DCA230D302300A0233B070F77";
    attribute INIT_29 of inst : label is "20B033CB1281338180B8880AB38A808F0C8E0348C0AC0FE208FE3DD3833E072E";
    attribute INIT_2A of inst : label is "E3140C0C0CC6424E3032B1AA3029CCE0422238E2B111949549E400C1D2A83230";
    attribute INIT_2B of inst : label is "E0F88F880A408AC0978A08ED0B0322A3ACE33C25080032E335534C041050412B";
    attribute INIT_2C of inst : label is "C40C8400C080CCC80CA330BB8AB88BB8AB8A82003AB8AE0383AE03CE8605B88C";
    attribute INIT_2D of inst : label is "6AF81F5F7B620591309FB3FD0ED27DB1D02E37C19DC370CE77F7F6A6BB018C6F";
    attribute INIT_2E of inst : label is "505F79FC6D56D03B40FC9E7D873610E0B85ADBED93C2599A8999ABE07366A266";
    attribute INIT_2F of inst : label is "0A0B0A080080AE6B879AE1EB9EB9B908DFB9F304817E5533E555DC31EB270527";
    attribute INIT_30 of inst : label is "000CC3080B03181830E323B0C781EB020E207A092E66060C0819038606206418";
    attribute INIT_31 of inst : label is "31D80001DF9C00CEA02EC50CF0B50C36880A9371A3480880A8D389578380C0D3";
    attribute INIT_32 of inst : label is "25D800760756474191819CDCDDCDDCDD5B89E660680C00C340A8288098288500";
    attribute INIT_33 of inst : label is "040C50A503F03F900032F1005E6199626A24088E8795F19E620581CA0801D020";
    attribute INIT_34 of inst : label is "4AAAAABE82A996905A18A500201D54FC500000067AAB77EA867F714045CC5000";
    attribute INIT_35 of inst : label is "45321104E11140FA009E092145A86AAA82A99A041A2D01001152D4F904450412";
    attribute INIT_36 of inst : label is "51BE930051982AAA82A99E04526321412125C0FA2CBE030040983BAAC3BD9A01";
    attribute INIT_37 of inst : label is "966F7900459474A2041B40F8855571006288AAAAA2A99A1012A8A181002840F9";
    attribute INIT_38 of inst : label is "FFFFFA9500000000000000000000000000000000000010FC0A0010C4724466EB";
    attribute INIT_39 of inst : label is "000000000011111111111122222223333300001112233300112330122015ABFF";
    attribute INIT_3A of inst : label is "F00000000BFE000000000000000282800000028280000001DE02820AFC000000";
    attribute INIT_3B of inst : label is "820820820820802082009CC000015AE0444444444444444444444444444446FF";
    attribute INIT_3C of inst : label is "000BB000002FF80000A082082000000000B7000016BF80820820820820820820";
    attribute INIT_3D of inst : label is "00B3AAAABFFF80A00A00A0A0A0ABF00000000FF8000000082082082000000000";
    attribute INIT_3E of inst : label is "2B78000000000B38000000000000B38000000000000B30000FFFF80000000000";
    attribute INIT_3F of inst : label is "3FFFFFF0055541555415554C2C2BBECB7D55BE6ADB9AEB82A000002FE0208208";
  begin
  inst : RAMB16_S2
      --pragma translate_off
      generic map (
        INIT_00 => romgen_str2bv(inst'INIT_00),
        INIT_01 => romgen_str2bv(inst'INIT_01),
        INIT_02 => romgen_str2bv(inst'INIT_02),
        INIT_03 => romgen_str2bv(inst'INIT_03),
        INIT_04 => romgen_str2bv(inst'INIT_04),
        INIT_05 => romgen_str2bv(inst'INIT_05),
        INIT_06 => romgen_str2bv(inst'INIT_06),
        INIT_07 => romgen_str2bv(inst'INIT_07),
        INIT_08 => romgen_str2bv(inst'INIT_08),
        INIT_09 => romgen_str2bv(inst'INIT_09),
        INIT_0A => romgen_str2bv(inst'INIT_0A),
        INIT_0B => romgen_str2bv(inst'INIT_0B),
        INIT_0C => romgen_str2bv(inst'INIT_0C),
        INIT_0D => romgen_str2bv(inst'INIT_0D),
        INIT_0E => romgen_str2bv(inst'INIT_0E),
        INIT_0F => romgen_str2bv(inst'INIT_0F),
        INIT_10 => romgen_str2bv(inst'INIT_10),
        INIT_11 => romgen_str2bv(inst'INIT_11),
        INIT_12 => romgen_str2bv(inst'INIT_12),
        INIT_13 => romgen_str2bv(inst'INIT_13),
        INIT_14 => romgen_str2bv(inst'INIT_14),
        INIT_15 => romgen_str2bv(inst'INIT_15),
        INIT_16 => romgen_str2bv(inst'INIT_16),
        INIT_17 => romgen_str2bv(inst'INIT_17),
        INIT_18 => romgen_str2bv(inst'INIT_18),
        INIT_19 => romgen_str2bv(inst'INIT_19),
        INIT_1A => romgen_str2bv(inst'INIT_1A),
        INIT_1B => romgen_str2bv(inst'INIT_1B),
        INIT_1C => romgen_str2bv(inst'INIT_1C),
        INIT_1D => romgen_str2bv(inst'INIT_1D),
        INIT_1E => romgen_str2bv(inst'INIT_1E),
        INIT_1F => romgen_str2bv(inst'INIT_1F),
        INIT_20 => romgen_str2bv(inst'INIT_20),
        INIT_21 => romgen_str2bv(inst'INIT_21),
        INIT_22 => romgen_str2bv(inst'INIT_22),
        INIT_23 => romgen_str2bv(inst'INIT_23),
        INIT_24 => romgen_str2bv(inst'INIT_24),
        INIT_25 => romgen_str2bv(inst'INIT_25),
        INIT_26 => romgen_str2bv(inst'INIT_26),
        INIT_27 => romgen_str2bv(inst'INIT_27),
        INIT_28 => romgen_str2bv(inst'INIT_28),
        INIT_29 => romgen_str2bv(inst'INIT_29),
        INIT_2A => romgen_str2bv(inst'INIT_2A),
        INIT_2B => romgen_str2bv(inst'INIT_2B),
        INIT_2C => romgen_str2bv(inst'INIT_2C),
        INIT_2D => romgen_str2bv(inst'INIT_2D),
        INIT_2E => romgen_str2bv(inst'INIT_2E),
        INIT_2F => romgen_str2bv(inst'INIT_2F),
        INIT_30 => romgen_str2bv(inst'INIT_30),
        INIT_31 => romgen_str2bv(inst'INIT_31),
        INIT_32 => romgen_str2bv(inst'INIT_32),
        INIT_33 => romgen_str2bv(inst'INIT_33),
        INIT_34 => romgen_str2bv(inst'INIT_34),
        INIT_35 => romgen_str2bv(inst'INIT_35),
        INIT_36 => romgen_str2bv(inst'INIT_36),
        INIT_37 => romgen_str2bv(inst'INIT_37),
        INIT_38 => romgen_str2bv(inst'INIT_38),
        INIT_39 => romgen_str2bv(inst'INIT_39),
        INIT_3A => romgen_str2bv(inst'INIT_3A),
        INIT_3B => romgen_str2bv(inst'INIT_3B),
        INIT_3C => romgen_str2bv(inst'INIT_3C),
        INIT_3D => romgen_str2bv(inst'INIT_3D),
        INIT_3E => romgen_str2bv(inst'INIT_3E),
        INIT_3F => romgen_str2bv(inst'INIT_3F)
        )
      --pragma translate_on
      port map (
        DO   => DATA(7 downto 6),
        ADDR => rom_addr,
        CLK  => CLK,
        DI   => "00",
        EN   => '1',
        SSR  => '0',
        WE   => '0'
        );
  end generate;
end RTL;
