----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    20:12:02 06/27/2011 
-- Design Name: 
-- Module Name:    pwmgen - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

---- Uncomment the following library declaration if instantiating
---- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;


--ToDo: deadtime?

entity pwmgen is
    Port ( inval : in  STD_LOGIC_VECTOR (4 downto 0);
           output : out  STD_LOGIC;
           clk : in  STD_LOGIC;
           reset : in  STD_LOGIC);
end pwmgen;

architecture Behavioral of pwmgen is
signal val_int: STD_LOGIC_VECTOR(4 downto 0);
signal count: STD_LOGIC_VECTOR(4 downto 0);
begin
pwm: process(clk, reset)
begin
	if reset='1' then
		output<='0';
		count<="00000";
	elsif rising_edge(clk) then
		count<=count+"00001";
		if count<val_int then
			output<='0';
		else
			output<='1';
		end if;
		if count="00000" then
			val_int<=inval;
		end if;
	end if;
end process;
end Behavioral;

